Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package html
  Definition Classes
    doc
-  package page
  Definition Classes
    html
-  package diagram
  Definition Classes
    page
-  object DiagramStats
  Definition Classes
    diagram
- TimeTracker

c

scala.tools.nsc.doc.html.page.diagram.DiagramStats

# TimeTracker 

###

#### class TimeTracker extends AnyRef

Source
  DiagramStats.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TimeTracker
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TimeTracker(title: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TimeTracker to any2stringadd[TimeTracker] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TimeTracker, B)
   Implicit
     This member is added by an implicit conversion from TimeTracker to ArrowAssoc[TimeTracker] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def addTime(ms: Long): Unit
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (TimeTracker) ⇒ Boolean, msg: ⇒ Any): TimeTracker
   Implicit
     This member is added by an implicit conversion from TimeTracker to Ensuring[TimeTracker] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (TimeTracker) ⇒ Boolean): TimeTracker
    Implicit
      This member is added by an implicit conversion from TimeTracker to Ensuring[TimeTracker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): TimeTracker
    Implicit
      This member is added by an implicit conversion from TimeTracker to Ensuring[TimeTracker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): TimeTracker
    Implicit
      This member is added by an implicit conversion from TimeTracker to Ensuring[TimeTracker] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TimeTracker to StringFormat[TimeTracker] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  var instances: Int
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  var maxTime: Long
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  def printStats(print: (String) ⇒ Unit): Unit
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  var totalTime: Long
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (TimeTracker, B)
    Implicit
      This member is added by an implicit conversion from TimeTracker to ArrowAssoc[TimeTracker] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TimeTracker to any2stringadd[TimeTracker]

### Inherited by implicit conversion StringFormat from TimeTracker to StringFormat[TimeTracker]

### Inherited by implicit conversion Ensuring from TimeTracker to Ensuring[TimeTracker]

### Inherited by implicit conversion ArrowAssoc from TimeTracker to ArrowAssoc[TimeTracker]

### Ungrouped